
BornAgain - Configuration #1175

Feature # 418 (Rejected): === Configuration & Build ===

Feature # 1363 (Rejected): == Unix build ==

Installer: Linux: Provide official debian package

03 Sep 2015 09:59 - ganeva

Status: Backlog Start date: 03 Sep 2015

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

We have a request from debian-pan-maintainers (effort of SOLEIL, the ESRF and Desy, https://wiki.debian.org/DebianPAN) to

include BornAgain into official debian repository. This system is the default installed at the ESRf and at PetraIII.

Recommended links:

[1] https://wiki.debian.org/IntroDebianPackaging

[2] http://mentors.debian.net/

Related issues:

Related to BornAgain - Configuration #1615: Code organisation: in each third-... Backlog 13 Oct 2016

Related to BornAgain - Configuration #1544: require libcerf instead of provid... Rejected 01 Aug 2016

History

#1 - 03 Sep 2015 10:00 - ganeva

- Assignee set to ganeva

#2 - 02 Nov 2015 16:51 - pospelov

- Status changed from New to Sprint

- Target version set to Sprint 30

#3 - 02 Feb 2016 10:37 - wuttke

- Parent task set to #418

#4 - 10 Feb 2016 16:25 - pospelov

- Target version changed from Sprint 30 to Sprint 31

#5 - 03 Mar 2016 14:14 - wuttke

- Parent task changed from #418 to #1363

#6 - 14 Jun 2016 15:10 - herck

- Tracker changed from Support to Configuration

#7 - 30 Jun 2016 08:12 - pospelov

- Status changed from Sprint to Backlog

- Assignee deleted (ganeva)

- Target version deleted (Sprint 31)

#8 - 20 Nov 2016 10:15 - wuttke

- Related to Configuration #1615: Code organisation: in each third-party source directory, provide information about used download location, download

date, and downloaded version added
#9 - 20 Nov 2016 10:15 - wuttke

- Related to Configuration #1544: require libcerf instead of providing ThirdParty/Fadeeva added

#10 - 20 Nov 2016 10:20 - wuttke

For acceptance in Debian, the source tree must be patched by deleting the third-party code, which instead will be provided by external package

dependences. To prepare for this, we need to minimize (or better completely avoid) patches of third-party code (e.g. #1650), and we need to clarify

which versions of the third-party code will work for us (#1615).

#11 - 18 Sep 2020 22:36 - wuttke

- Subject changed from Provide official debian package to Installer: Linux: Provide official debian package
